1. CrackBerry Question's Avatar
    The one through snap needs google play services and all the other bar files I have tried keep asking me to be on the latest version of snapchat in order to sign up? Please help.
    01-31-15 12:41 AM
  2. JamBueree's Avatar
    The one on Snap doesn't need Google Play Services. You can just tap outside the box that says that ant you can use it normally as it is.

    But if you want a more native feel, you can download Snap10 from BlackBerry World.
    01-31-15 12:42 AM

Similar Threads

  1. Does the Classic support USB On the go?
    By Lucas D in forum BlackBerry Classic
    Replies: 9
    Last Post: 02-13-15, 09:43 AM
  2. Snapchat is a scummy company
    By CatlinFD in forum Android Apps (Amazon Store & APK Files)
    Replies: 21
    Last Post: 02-02-15, 04:59 AM
  3. How do I upgrade my Z30 version 10.2 to version 10.30?
    By CrackBerry Question in forum Ask a Question
    Replies: 1
    Last Post: 01-31-15, 01:41 AM
  4. How can I upgrade my Z30 version 10.2.1.3062 to version 10.3?
    By CrackBerry Question in forum Ask a Question
    Replies: 1
    Last Post: 01-30-15, 11:52 PM
  5. How to check..!!
    By Chetan Sondagar in forum Ask a Question
    Replies: 1
    Last Post: 01-30-15, 10:15 PM
LINK TO POST COPIED TO CLIPBOARD